package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBGuidelineDetails entity.
 */
public class TBGuidelineDetailsDTO implements Serializable {

    private Long id;

    private Integer ageDayStart;

    private Integer ageDayEnd;

    private Long tbGuidelineId;

    private Long tbGuidelinePeriodId;

    private String tbGuidelinePeriodName;

    private Long tbCustomerId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getAgeDayStart() {
        return ageDayStart;
    }

    public void setAgeDayStart(Integer ageDayStart) {
        this.ageDayStart = ageDayStart;
    }

    public Integer getAgeDayEnd() {
        return ageDayEnd;
    }

    public void setAgeDayEnd(Integer ageDayEnd) {
        this.ageDayEnd = ageDayEnd;
    }

    public Long getTbGuidelineId() {
        return tbGuidelineId;
    }

    public void setTbGuidelineId(Long tBGuidelineId) {
        this.tbGuidelineId = tBGuidelineId;
    }

    public Long getTbGuidelinePeriodId() {
        return tbGuidelinePeriodId;
    }

    public void setTbGuidelinePeriodId(Long tBGuidelinePeriodId) {
        this.tbGuidelinePeriodId = tBGuidelinePeriodId;
    }

    public String getTbGuidelinePeriodName() {
        return tbGuidelinePeriodName;
    }

    public void setTbGuidelinePeriodName(String tbGuidelinePeriodName) {
        this.tbGuidelinePeriodName = tbGuidelinePeriodName;
    }
    
    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }
    
    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBGuidelineDetailsDTO tBGuidelineDetailsDTO = (TBGuidelineDetailsDTO) o;
        if (tBGuidelineDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBGuidelineDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBGuidelineDetailsDTO{" +
            "id=" + getId() +
            ", ageDayStart=" + getAgeDayStart() +
            ", ageDayEnd=" + getAgeDayEnd() +
            ", tbGuideline=" + getTbGuidelineId() +
            ", tbCustomer=" + getTbCustomerId() +
            ", tbGuidelinePeriod=" + getTbGuidelinePeriodId() +
            "}";
    }
}
